Magick++: Magick::DrawableBase Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableBase Class Referenceabstract

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableBase:
[legend]

## Public Member Functions
| DrawableBase (void)
virtual | ~DrawableBase (void)
virtual void | operator() (MagickCore::DrawingWand *) const =0
virtual DrawableBase * | copy () const =0

## Detailed Description

Definition at line 110 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableBase::DrawableBase | ( | void |  | ) |
| inline

Definition at line 114 of file Drawable.h.

Magick::DrawableBase::~DrawableBase | ( | void |  | ) |
| virtual

Definition at line 56 of file Drawable.cpp.

## Member Function Documentation

virtual DrawableBase* Magick::DrawableBase::copy | ( |  | ) | const
| pure virtual

Implemented in Magick::DrawableViewbox, Magick::DrawableTranslation, Magick::DrawableTextUnderColor, Magick::DrawableTextKerning, Magick::DrawableTextInterwordSpacing, Magick::DrawableTextInterlineSpacing, Magick::DrawableTextDirection, Magick::DrawableTextDecoration, Magick::DrawableTextAntialias, Magick::DrawableText, Magick::DrawableStrokeWidth, Magick::DrawableStrokeOpacity, Magick::DrawableStrokeColor, Magick::DrawableStrokeAntialias, Magick::DrawableMiterLimit, Magick::DrawableStrokeLineJoin, Magick::DrawableStrokeLineCap, Magick::DrawableDashOffset, Magick::DrawableDashArray, Magick::DrawableSkewY, Magick::DrawableSkewX, Magick::DrawableScaling, Magick::DrawableRoundRectangle, Magick::DrawableRotation, Magick::DrawableRectangle, Magick::DrawablePushPattern, Magick::DrawablePopPattern, Magick::DrawablePushGraphicContext, Magick::DrawablePopGraphicContext, Magick::DrawablePolyline, Magick::DrawablePolygon, Magick::DrawablePointSize, Magick::DrawablePoint, Magick::DrawablePath, Magick::DrawableMatte, Magick::DrawableLine, Magick::DrawableGravity, Magick::DrawableFont, Magick::DrawableFillOpacity, Magick::DrawableFillRule, Magick::DrawableFillColor, Magick::DrawableEllipse, Magick::DrawableDensity, Magick::DrawableCompositeImage, Magick::DrawableColor, Magick::DrawableCircle, Magick::DrawableClipPath, Magick::DrawablePushClipPath, Magick::DrawablePopClipPath, Magick::DrawableBezier, Magick::DrawableArc, and Magick::DrawableAffine.

Referenced by Magick::Drawable::operator=().

virtual void Magick::DrawableBase::operator() | ( | MagickCore::DrawingWand * |  | ) | const
| pure virtual

Implemented in Magick::DrawableViewbox, Magick::DrawableTranslation, Magick::DrawableTextUnderColor, Magick::DrawableTextKerning, Magick::DrawableTextInterwordSpacing, Magick::DrawableTextInterlineSpacing, Magick::DrawableTextDirection, Magick::DrawableTextDecoration, Magick::DrawableTextAntialias, Magick::DrawableText, Magick::DrawableStrokeWidth, Magick::DrawableStrokeOpacity, Magick::DrawableStrokeColor, Magick::DrawableStrokeAntialias, Magick::DrawableMiterLimit, Magick::DrawableStrokeLineJoin, Magick::DrawableStrokeLineCap, Magick::DrawableDashOffset, Magick::DrawableDashArray, Magick::DrawableSkewY, Magick::DrawableSkewX, Magick::DrawableScaling, Magick::DrawableRoundRectangle, Magick::DrawableRotation, Magick::DrawableRectangle, Magick::DrawablePushPattern, Magick::DrawablePopPattern, Magick::DrawablePushGraphicContext, Magick::DrawablePopGraphicContext, Magick::DrawablePolyline, Magick::DrawablePolygon, Magick::DrawablePointSize, Magick::DrawablePoint, Magick::DrawablePath, Magick::DrawableMatte, Magick::DrawableLine, Magick::DrawableGravity, Magick::DrawableFont, Magick::DrawableFillOpacity, Magick::DrawableFillRule, Magick::DrawableFillColor, Magick::DrawableEllipse, Magick::DrawableDensity, Magick::DrawableCompositeImage, Magick::DrawableColor, Magick::DrawableCircle, Magick::DrawableClipPath, Magick::DrawablePushClipPath, Magick::DrawablePopClipPath, Magick::DrawableBezier, Magick::DrawableArc, and Magick::DrawableAffine.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp